Skip to navigation

Create a webhook

Create a webhook to be called when certain events occur.

Complete guide: Webhooks.

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"1-1024 characters
The URL of the webhook
eventslist of enumsRequired
A list of events that this webhook subscribes to
hmac_secretstring or nullOptionalformat: "^[0-9a-fA-F]{64}$"=64 characters

A customer-provided 32-byte secret encoded as 64 hexadecimal characters. Used for HMAC-SHA256 of <unix seconds>.<raw request body>, sent in the X-Ntropy-Signature header as t=<unix seconds>,sha256=<hex digest>.

tokenstring or nullOptional<=128 characters

A secret string used to authenticate the webhook. This value will be included in the X-Ntropy-Token header when sending requests to the webhook

Response

Successful Response
urlstringformat: "uri"1-1024 characters
The URL of the webhook
eventslist of enums
A list of events that this webhook subscribes to
idstring
A generated unique identifier for the webhook
created_atdatetime
The date and time when the webhook was created.
enabledboolean
Whether the webhook is enabled or not.
tokenstring or nullOptional<=128 characters

A secret string used to authenticate the webhook. This value will be included in the X-Ntropy-Token header when sending requests to the webhook

Errors

422
Unprocessable Entity Error